io.etcd.jetcd.api

## Interface WatchCancelRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  WatchCancelRequest, WatchCancelRequest.Builder

    public interface WatchCancelRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getWatchId()` watch_id is the watcher id to cancel so that no more events are transmitted.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getWatchId

    long getWatchId()

     watch_id is the watcher id to cancel so that no more events are transmitted.

`int64 watch_id = 1;`

Returns:
  The watchId.